Provide a WHN node in dev infrastructure in order to test GeoServer 2.10 installation and spatialite
extension

Nov 22, 2016 02:45 PM - Fabio Sinibaldi

Status: Closed Start date: Nov 22, 2016
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: Data Publishing

Infrastructure: Development

Description

GeoServer 2.10 requirements (source http://docs.geoserver.org/latest/en/user/installation/war.html):

-JRE 8

-Tomcat 7

Spatialite plugin for Geoserver (source http://docs.geoserver.org/2.10.x/en/user/community/spatialite/index.html):

-GEOS library (http:/geos.osgeo.org/)

-PROJ library (http:/trac.0sgeo.org/proj/)

Also, from documentation :

"The GeoServer SpatiaLite extension includes its own versions of SQLite (3.7.2) and SpatiaLite (2.4.0) and therefore these libraries
need not be installed on the system in order to use the extension”

Development scope for testing purposes :
/gcube/devNext/NextNext

History

#1 - Nov 23, 2016 03:18 PM - Fabio Sinibaldi

- Subject changed from Provide a WHN node in dev infrastructure in order to test GeoServer 2.10 installation to Provide a WHN node in dev
infrastructure in order to test GeoServer 2.10 installation and spatialite extension

- Description updated

#2 - Nov 23, 2016 03:47 PM - Fabio Sinibaldi

- Description updated

#3 - Nov 23, 2016 03:53 PM - Andrea Dell'Amico

- Status changed from New to In Progress

hostname and IP address are going to be: geoserver1-spatial-dev.d4science.org 146.48.123.19

#4 - Nov 23, 2016 07:02 PM - Andrea Dell'’Amico
- % Done changed from 0 to 80

Geoserver 2.10 is running, answering at https:/geoserver1-spatial-dev.d4science.org/geoserver/ and the spatialite extensions are installed with all
their dependencies. No configuration has been done.

| created the directory /srv/geoserver_data where the geoserver app should store its data (it was configurable on the older versions, | assume it still is)

About the spatialite extensions: | created the directory /srv/geoserver_spatialite/data where the sqlite database should store its data (it's a
configuration parameter)

#5 - Nov 28, 2016 04:08 PM - Andrea Dell'’Amico
- Status changed from In Progress to Closed

- % Done changed from 80 to 100
